Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I just received a message from Foxfire stating that my laptop will not be secure due to the operating system on my laptop.

  • 1 reply
  • 5 have this problem
  • 58 views
  • Last reply by philipp

more options

I opened my laptop and a pop up message appeared when I opened Foxfire stating something about Foxfire not being able to secure my computer due to the operating system that my Mac runs on.

Chosen solution

hello jaynpsfl, this is a genuine information - unfortunately firefox 16 was the last version of the browser that supports os x 10.5 - there won't be any security updates for it in the future.

Firefox no longer works with Mac OS X 10.5

Read this answer in context 👍 4

All Replies (1)

more options

Chosen Solution

hello jaynpsfl, this is a genuine information - unfortunately firefox 16 was the last version of the browser that supports os x 10.5 - there won't be any security updates for it in the future.

Firefox no longer works with Mac OS X 10.5